digiKam 2.6.0 - Release date: 2012-06-03

*****************************************************************************************************
NEW FEATURES:

General           : Add support of Little CMS version 2.
General           : New tool to run all maintenance process in background.
General           : Lprof 3rd party library have been removed from core implementation.
General           : Thumbs/Preview for read-only files (as RAW) can be rotated through a flag in thumbnails database.
General           : Add a Progress Manager as into Kontact to drive process running in parallele.
General           : JPEGEngine tool is now disabled in digiKam. A dedicated solution is now implemented.
                    in digiKam core to rotate/flip image using multithreading, parallelization, and image versioning.

ToolsInterface    : Handle progress events from tools through digiKam Progress Manager.

Image Editor       : Template Superimpose feature have been moved to PhotoLayoutEditor.
Image Editor       : New film color negative inverter filter.

RAWEngine         : Add progress management support, and parallelization of tasks using ThreadWeaver.

DNGWriter         : Add progress management support, and parallelization of tasks using ThreadWeaver.

RedEyesRemoval    : Add progress management support, and parallelization of tasks using ThreadWeaver.

TimeAdjust        : Add items listview support, progress management support, multithreading, and parallelization of tasks using ThreadWeaver.

SendByMail        : Dialog Layout improvements, progress management support, and parallelization of tasks using ThreadWeaver.

PhotoLayoutEditor : Add SuperImpose Template support to compose fun frame, post-card, etc... template file use SVG format.

Panorama          : Bugfix for binary detection on OSes different than Linux (fixes the same issue with expoblending).
                    Bugfix for the back button of the assistant.
                    First steps towards a cropping for target panorama.
                    Parallelization of tasks using ThreadWeaver.

General           : New tool to export items to ImageShack web service (https://imageshack.us).
General           : New tool to export items to MediaWiki web service (https://www.mediawiki.org).
General           : New tool to export items to Imgur web service (https://imgur.com).

*****************************************************************************************************
BUGFIXES:

001 --> 286730 - digiKam crash when tagging faces.
002 --> 290496 - digikam-2.5.0 core fails to build.
003 --> 272980 - Crash while searching on a tag.
004 --> 290642 - Build failed with gcc-4.7.0 [patch].
005 --> 287772 - Build failed against boost-1.48 [patch].
006 --> 267777 - Versioning not working properly when saving changes in the image editor.
007 --> 290466 - MacPorts digiKam package fails to build.
008 --> 268262 - Editor: Color: Color Effects: Vivid - black areas become reddish.
009 --> 283491 - Caption/Tags tab: Active sub-tab not restored after restart [patch].
010 --> 234067 - Annoying list of languages to select from when entering picture captions [patch].
011 --> 277328 - Album Icon View Header linkable.
012 --> 290022 - Edit and Rotate in the Light Table open or change the wrong image.
013 --> 171823 - Add a non-permanent template superimpose option.
014 --> 103696 - Fit image into superimpose template.
015 --> 117343 - JJ: Border images - Christmas and other seasons templates wanted.
016 --> 103695 - Precise movement in superimpose template.
017 --> 289264 - Add option: "show thumbbar in full-screen picture preview".
018 --> 237452 - Tagging interface functionality lost.
019 --> 192055 - Typo digiKam tip of the day.
020 --> 284212 - Quick Collection and Progress Center as into KMail.
021 --> 137191 - I'd like to rotate only the thumbnail of an image (and not allow rotate raw image).
022 --> 286213 - digiKam allows RAW (ORF) photos to be rotated, but then fails.
023 --> 289222 - Rotate jpeg images isn't multithreaded.
024 --> 215770 - Png files can't be rotated without help of imagemagick.
025 --> 147968 - Some images are erroneously rotated.
026 --> 240146 - If I press rotate on the thumbnail of a photo an error occurs.
027 --> 257772 - Image rotate/flip does not work.
028 --> 233585 - Rotate image fails with digikam on Archlinux and pictures on NTFS.
029 --> 247947 - Images rotated with JPEGEngine are shifted.
030 --> 237808 - digiKam don't rotate JPEG images.
031 --> 207190 - Improve "rotate Image" overlay-buttons.
032 --> 212362 - Add support for instant rotate.
033 --> 232777 - Lost images, when they are rotated on (over-)full hd resp. partition.
034 --> 208504 - Add type icon to images under the thumbnail (patch).
035 --> 262183 - Rating in thumbbar view is broken.
036 --> 280044 - Thumbnails flicker.
037 --> 211757 - digiKam preview: next image with left arrow key.
038 --> 228869 - Rename image and overwriting existing messes up the thumbnail display.
039 --> 117301 - Thumbnails generation process running for visible thumbnails only, if it is sensible in order to avoid unnecessary waiting.
040 --> 292578 - Windows 7 prof. 32Bits, Context Menu not fully visible.
041 --> 292645 - Build fails at imageproperties/captionedit.cpp.
042 --> 275122 - Rotating a TIFF file wipes out its metadata.
043 --> 278909 - Create fingerprints during thumbnail generation.
044 --> 228314 - Timeline view in digiKam scroll's left but not right.
045 --> 293563 - digikam-2.6.0-beta1 build failed.
046 --> 293897 - Sony A350 (alpha 350) camera detected, but no import possible.
047 --> 237552 - Thumbnails generation process for selected images only.
048 --> 231777 - Scrolling in Albumview should be smoothed.
049 --> 282907 - No items are displayed when I enable 'Include Album Sub-Tree' in a folder containing one image and many folders.
050 --> 294458 - Std namespace issue in FacesEngine [patch].
051 --> 286127 - Resize tool in digikam corrupt transparencies on png files.
052 --> 294423 - Build error under Solaris [patch].
053 --> 286437 - "No flag" filter doesn't work.
054 --> 281877 - Redo same result as discard changes.
055 --> 294105 - Please support lcms2.
056 --> 294585 - Crash on facebook export.
057 --> 294995 - Delete photos and their management in the database Mysql.
058 --> 295104 - Sdt namespace ambiguity in BlurFilter [patch].
059 --> 294884 - digiKam crash at startup (due to notification window).
060 --> 295294 - Startup reads far too many files.
061 --> 291921 - Geolocation: Severe rendering problems of map/satellite view.
062 --> 292316 - digiKam no thumbnail for .mov, .mp4 movies.
063 --> 233222 - Thumbnails displayed are from incorrect images.
064 --> 235733 - No possibility to cancel a delete file operation.
065 --> 267509 - Button to stop collection scan during startup.
066 --> 223232 - digiKam Does Not Detect the Color Profile in DCF Files.
067 --> 295340 - digiKam crashed while tagging faces.
068 --> 278927 - Not all files read.
069 --> 261879 - Ubuntu unity compatibility bugs: export menu disappeared.
070 --> 280426 - Exif data from jpegs deleted when using XML sidecars and adding keyword tags.
071 --> 282903 - Image corrupted after writing metadata due to sidecar XMP.
072 --> 264204 - Existing XMP sidecar file gets overwritten by digiKam.
073 --> 273565 - digiKam doesn't read EXIF if XMP sidecar file exists.
074 --> 296141 - Make digiKam compile on ARM.
075 --> 277618 - Metadata are incompletely imported from XMP sidecar and Tags are not created.
076 --> 220545 - Cannot write XMP sidecar files.
077 --> 279710 - Geo-location coordinates and metadata tags mutual exclusive in xmp sidecar file.
078 --> 289223 - XMP sidecars not written for M2TS and MTS video files.
079 --> 290816 - Preview mode shows portrait raws in horizontal when a third party app adds xmp files.
080 --> 273137 - Make XMP Side Car Files Hidden Or Use Separate Database To Store Them.
081 --> 252458 - Sort order in SlideShow.
082 --> 277370 - Unclear licensing for profiles/prophoto.icm and profiles/srgb-d65.icm.
083 --> 221985 - Update histogram before preview.
084 --> 208286 - Lock zoom when switching photos : add context menu in preview thumbbar.
085 --> 182110 - Geolocation tab : add "loc.alize.us" support to the more info web service link.
086 --> 216636 - Option to set parent album in Album -> New Album.
087 --> 287099 - digiKam crash when using facerecognition.
088 --> 151849 - Add Right-MouseButton-menu entry to exit fullscreen [patch].
089 --> 251887 - Holding SHIFT in timeline to select range.
090 --> 289330 - Album file watch failing (QKqueueFileSystemWatcherEngine:addPaths: open: Too many open files in system).
091 --> 287267 - IptcCore tags are written incorrectly.
092 --> 298178 - Move photos dialog default button is Cancel, not Ok
093 --> 296798 - Crop selection not remembered.
094 --> 297970 - Wrong image deleted
095 --> 158766 - Using keyboard with timeline view.
096 --> 298491 - Typos in templatemanager.cpp.
097 --> 297490 - Copy tags when creating a new version.
098 --> 297804 - Saving an image loses portrait orientation.
099 --> 298380 - Versioning settings active after digikam start even if versioning is switched off.
100 --> 288494 - Raw Images disappear after a batch conversion to Jpeg.
101 --> 274775 - "Find similar search" results are displayed when digiKam starts, although another album is selected.
102 --> 293500 - Photos disappear from albums after processing in the batch queue.
103 --> 290983 - digiKam crashes when selecting: Image - Geo-location option.
104 --> 297549 - digiKam crashes during batch raw converting.
105 --> 299886 - ShowFoto crash while saving PNG.
106 --> 289454 - Two faces tagged instead of one.
107 --> 300277 - digiKam crashed on exit after adding tags to several hundred photos.
108 --> 267579 - Keep scroll position don't remember the picture viewed but the viewed line number.
109 --> 295263 - When tagging, "Writing metadata to files" messages never clear from progress queue.
110 --> 300301 - Crash when applying comments and keywords on a set of jpeg.
111 --> 231598 - Metadata on Albums are lost when album moved from local collection to a network collection.
112 --> 257865 - Essential toolbar icons in size 32x32 are still in crystal style (oxygen style in all other sizes).
113 --> 295430 - Image in preview does not rotate when rotate button is clicked.
114 --> 300920 - Tags are stored multiple times.
115 --> 299598 - When I hit the import button digiKam flashes the name of the connected camera and then crashes.
116 --> 276920 - digiKam shows wrong file size in thumbnail info for files >2Gb.
117 --> 205824 - EXIF UserComments with special characters get tagged as ASCII.
118 --> 277206 - Problems exporting RAW (CR2) from editor : original file disappear from icon view.
119 --> 149269 - Thumbnails are square (HTML Export tool) [patch].
120 --> 289283 - HTMLGallery: add keyboard navigation and image preloading to floating_cards theme [patch].
121 --> 153249 - Photo arranging and printing tool.
122 --> 209721 - Search field in digikam's coordinates editor uses black text on black background.
123 --> 279182 - Batch resize fails possibly due to timestamp in filename.
124 --> 290932 - Up to date website.
125 --> 212785 - Cannot preserve rotation when exporting from raw to Facebook.
126 --> 291762 - Crash with export.
127 --> 286736 - PrintCreator: If you step through multiple images in crop image, it adds pages
128 --> 286735 - PrintCreator: Custom paper size isn't retained
129 --> 257636 - PrintCreator: add 35x45mm photo template for UK passports
130 --> 272336 - Picasaweb, album date -1.
141 --> 292537 - Dng tool segfaults.
142 --> 293301 - digiKam crashes when uploading to PicasaWeb.
143 --> 220798 - It is not possible to set the language in create calendar tool.
144 --> 293917 - Crash when exiting digikam.
145 --> 294133 - Expoblending cannot be compiled.
146 --> 233926 - New tool to export to Imageshack.
147 --> 294460 - Std namespace issue [patch].
148 --> 294461 - Build failure in picasawebexport - QString ambiguity [patch].
149 --> 294547 - The url in 'about' menu doesn't work.
150 --> 294751 - Unlisted dependency (hugin).
151 --> 206842 - New tool to export to Wikimedia Commons.
152 --> 286018 - Pano Tool and ExpoBlend tool do not work on OS X [patch].
153 --> 286633 - Unable to find cpfind executable, but cpfind is installed and available within the path.
154 --> 286382 - Panorama stitcher doesn't run and asks for autooptimizer despite hugin is installed.
155 --> 296579 - Adjust Date & Time: Wrong date format shown
156 --> 193874 - When changing dates, change date-based filename as well.
157 --> 268317 - "Determine from clock photo" dialog: Allow zooming with +/- or ctrl+mousewheel in the preview.
158 --> 208291 - Lock zoom when switching photos.
159 --> 279444 - Missing progress information when updating date on several images.
160 --> 134222 - Gallery2 export doesn't respect items selections.
161 --> 154699 - Current item in the gallery export list view should be shown in preview.
162 --> 207390 - Gallery export shows regular file dialog instead of tags or folders.
163 --> 220319 - Gallery2 Export tool not allowing Maximum Dimension > 999 px.
164 --> 292268 - Coordinates into LineString not correct.
165 --> 268315 - xx MB field below "Mail program": Function unclear.
166 --> 220221 - Batch processing preview shows only the corner of images.
167 --> 294455 - Batch process preview doesn't show a preview.
168 --> 298118 - Crash when open Geo-location dialog.
169 --> 163991 - Import images from Picasa WebAlbum.
170 --> 285070 - Change Date and Time dialog should warn when no tag to change is selected.
171 --> 143886 - Replace add and subtract in "adjust time and date" menu with positive/negative times.
172 --> 296776 - Crash while trying to send pictures via default email software ().
173 --> 299071 - digiKam crashed on export of one image to picasaweb.
174 --> 288462 - Issues building with highgui [patch].
175 --> 299952 - Crash when closing ExpoBlending tool.
176 --> 224893 - New tool to export to Imgur.
177 --> 301027 - Fix fail to build on MIPS.
